Skip to main content
GET
/
messages
/
group
/
{message_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.messages.retrieveGroupMessages(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);

console.log(response.data);
{
  "data": [
    {
      "record_type": "message",
      "direction": "outbound",
      "id": "40385f64-5717-4562-b3fc-2c963f66afa6",
      "type": "MMS",
      "messaging_profile_id": "4000eba1-a0c0-4563-9925-b25e842a7cb6",
      "organization_id": "b448f9cc-a842-4784-98e9-03c1a5872950",
      "from": {
        "phone_number": "+18445550001",
        "carrier": "TELNYX LLC",
        "line_type": "VoIP"
      },
      "to": [
        {
          "phone_number": "+18665550001",
          "status": "queued",
          "carrier": "T-MOBILE USA, INC.",
          "line_type": "Wireless"
        }
      ],
      "cc": [],
      "text": "Hello, World!",
      "subject": "From Telnyx!",
      "media": [
        {
          "url": "https://pbs.twimg.com/profile_images/1142168442042118144/AW3F4fFD_400x400.png",
          "content_type": null,
          "sha256": null,
          "size": null
        }
      ],
      "webhook_url": "https://www.example.com/hooks",
      "webhook_failover_url": "https://backup.example.com/hooks",
      "encoding": "GSM-7",
      "parts": 1,
      "tags": [
        "Greetings"
      ],
      "cost": {
        "amount": "0.0051",
        "currency": "USD"
      },
      "cost_breakdown": {
        "carrier_fee": {
          "amount": "0.00305",
          "currency": "USD"
        },
        "rate": {
          "amount": "0.00205",
          "currency": "USD"
        }
      },
      "tcr_campaign_id": "TCPA3X7",
      "tcr_campaign_billable": true,
      "tcr_campaign_registered": "REGISTERED",
      "received_at": "2019-01-23T18:10:02.574Z",
      "sent_at": null,
      "completed_at": null,
      "valid_until": null,
      "errors": [],
      "wait_seconds": 0.5
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

message_id
string<uuid>
required

The group message ID.

Response

Successful response with group MMS messages.

data
object[]